%global bename fit
%global pkgname anyconfig-%{bename}-backend

%global desctxt \
This is a backend module for python-anyconfig to load FIT data files.\
\
python-anyconfig is a python library to provide common APIs to load and dump\
various configuration files like INI, JSON and YAML.

Name:           python-%{pkgname}
Version:        0.2.0
Release:        1%{?dist}%{?dist}
Summary:        Backend module for python-anyconfig to load FIT data files
Group:          Development/Libraries
License:        MIT
URL:            https://github.com/ssato/python-anyconfig-fit-backend
Source0: %{pkgname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description %{desctxt}

%package     -n python3-%{pkgname}
Summary:        %{summary}
Requires:       python3-anyconfig
Requires:       python3-anyconfig-fitdecode
%{?python_provide:%python_provide python3-%{pkgname}}

%description -n python3-%{pkgname} %{desctxt}

%prep
%autosetup   -n %{pkgname}-%{version}

%build
%py3_build

%install
%py3_install

%files       -n python3-%{pkgname}
%doc README.rst
%{python3_sitelib}/*

%changelog
* Sun Jul  9 2023 Satoru SATOH <satoru.satoh@gmail.com> - 0.2.0-1
- fix: follow changes in anyconfig
- change: fix: drop python {2.7,3.{6,7} and add 3.1{0,1} support

* Sat Jan  1 2022 Satoru SATOH <satoru.satoh@gmail.com> - 0.1.1-1
- fix: [rpm] add a missing runtime dependency to python3-fitdecode

* Sat Jan  1 2022 Satoru SATOH <satoru.satoh@gmail.com> - 0.1.0-1
- Initial packaging
